use std::path::Path;
use std::time::Instant;
use chrono::prelude::*;
mod day01;

fn main() {
    let today = Local::now().day();
    let now = Instant::now();
    if cfg!(feature ="day01") || (cfg!(feature ="today") && today == 1) {
        day01::run();
    }
    if cfg!(feature ="day02") || (cfg!(feature ="today") && today == 2) {
        todo!()
        //day02::run();
    }
    println!("Finished, time taken: {:?}", now.elapsed())
}

pub fn read(day: &str) -> String {
    let fmt = format!("input/{}.txt", day);
    let path = Path::new(&fmt);

    println!("path: {:?}", path);
    std::fs::read_to_string(path).unwrap()
}
